﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace SmileCompany.Samples.Phone.StringFormat
{
    public class Product
    {
        public String Name { get; set; }
        public int Amount { get; set; }
        public decimal Price { get; set; }
    }

    public class Player
    {
        public String FirstName { get; set; }
        public String LastName { get; set; }
    }

    public partial class MainPage : PhoneApplicationPage
    {

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            product.DataContext = new Product()
            {
                Name = "Batteries",
                Amount = 5,
                Price = 9.90M
            };

            players.ItemsSource = new List<Player>()
            {
                new Player { FirstName = "Lionel", LastName="Messi" },
                new Player { FirstName = "Steven", LastName="Gerrard" },
                new Player { FirstName = "", LastName="Kaká" },
                new Player { FirstName = "Cristiano", LastName="Ronaldo" },
                new Player { FirstName = "", LastName="Xavi" }
            };
        }
    }
}